/*
    # ===========================================================================
    # Copyright (C) 2014  Gerhard Hepp
    #
    # This program is free software; you can redistribute it and/or modify it under the terms of
    # the GNU General Public License as published by the Free Software Foundation; either version 2
    # of the License, or (at your option) any later version.
    #
    # This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
    # without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    # See the GNU General Public License for more details.
    #
    # You should have received a copy of the GNU General Public License along with this program; if
    # not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
    # MA 02110, USA
    # ===========================================================================
*/
/*
 * Serial.h
 *
 *  Created on: 19.05.2012
 */

#ifndef SERIAL_H_
#define SERIAL_H_

#if defined (__AVR_ATmega328P__)
#else
#define __AVR_ATmega328P__
#endif

#include <avr/io.h>
#include <stdint.h>
#include <avr/pgmspace.h>


class Serial
{
public:
  Serial();

  void
  init();
  int
  available();
  uint8_t
  read();
  void
  displayStatus();

  void
   serialOut(const char *);
  void
   serialOutLn(const char *);
   void

  serialOut(uint8_t c);
  void
serialOut_P(const char * s);
  void
  serialOutLn_P(const char *s);
};

#endif /* SERIAL_H_ */
