# -*- coding: utf-8 -*-
    # ===========================================================================
    # Copyright (C) 2014  Gerhard Hepp
    #
    # This program is free software; you can redistribute it and/or modify it under the terms of
    # the GNU General Public License as published by the Free Software Foundation; either version 2
    # of the License, or (at your option) any later version.
    #
    # This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
    # without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    # See the GNU General Public License for more details.
    #
    # You should have received a copy of the GNU General Public License along with this program; if
    # not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
    # MA 02110, USA
    # ===========================================================================

import time
import sys

import peripherie

peri = peripherie.Peripherie()

def intValue(version):
    return (version[1]<<24 )+ (version[2]<<16) + (version[3]<<8) + (version[4]<<0)

def printValue(r):
    s = "data "
    for x in r:
        s += "{x:02x} ".format(x=x)
   # print(s)
    
    t0 = r[1] + r[2] *256
    t1 = r[3] + r[4] *256
    cnt = r[5] + r[6] *256
    err = r[7]
    
    print("t0", t0, "t1", t1, "cnt", cnt, "err", err )
try:
    
    r = peri.cpu_set_counter_config(0x04, 0xf1)

    peri.cpu_led_0_on()
    for i in range(10):
        r = peri.cpu_get_counter_2()
        printValue(r) 
        err = r[7]
        t0 = r[1] + r[2] *256
        t1 = r[3] + r[4] *256
        s = (t1 - t0 ) * 0.000008 *340/2
        print (s)
        time.sleep(0.5)
    
        
    peri.cpu_led_0_off()

except KeyboardInterrupt:
    print("interrupt")
except:
    print ("Unexpected error:", str(sys.exc_info()[0]))
    print("error")
    raise    
